Package org.apache.storm.sql.parser

## Class ColumnConstraint.PrimaryKey

- java.lang.Object
- - org.apache.calcite.sql.SqlNode
  - - org.apache.calcite.sql.SqlLiteral
    - - org.apache.storm.sql.parser.ColumnConstraint
      - - org.apache.storm.sql.parser.ColumnConstraint.PrimaryKey

- All Implemented Interfaces:
    `Cloneable`
  Enclosing class:
    ColumnConstraint

      public static class ColumnConstraint.PrimaryKey
      extends ColumnConstraint

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.storm.sql.parser.ColumnConstraint

      `ColumnConstraint.PrimaryKey`

    - ### Nested classes/interfaces inherited from class org.apache.calcite.sql.SqlLiteral

      `org.apache.calcite.sql.SqlLiteral.SqlSymbol`

  - ### Field Summary

    - ### Fields inherited from class org.apache.calcite.sql.SqlLiteral

      `value`

    - ### Fields inherited from class org.apache.calcite.sql.SqlNode

      `EMPTY_ARRAY, pos`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PrimaryKey​(org.apache.calcite.sql.validate.SqlMonotonicity monotonicity, org.apache.calcite.sql.parser.SqlParserPos pos)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.apache.calcite.sql.validate.SqlMonotonicity` | `monotonicity()` |

    - ### Methods inherited from class org.apache.calcite.sql.SqlLiteral

      `accept, bigDecimalValue, booleanValue, clone, createApproxNumeric, createBinaryString, createBinaryString, createBoolean, createCharString, createCharString, createDate, createDate, createExactNumeric, createInterval, createNegative, createNull, createSample, createSqlType, createSymbol, createTime, createTime, createTimestamp, createTimestamp, createUnknown, equals, equalsDeep, getKind, getMonotonicity, getStringValue, getTypeName, getValue, getValueAs, hashCode, intValue, longValue, sampleValue, signum, stringValue, symbolValue, symbolValue_, toValue, unchain, unescapeUnicode, unparse, validate, value, valueMatchesType`

    - ### Methods inherited from class org.apache.calcite.sql.SqlNode

      `clone, clone, cloneArray, equalDeep, equalDeep, equalsDeep, findValidOptions, getParserPosition, isA, toSqlString, toSqlString, toString, validateExpr`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PrimaryKey

          public PrimaryKey​(org.apache.calcite.sql.validate.SqlMonotonicity monotonicity,
                            org.apache.calcite.sql.parser.SqlParserPos pos)

  - ### Method Detail

    - #### monotonicity

          public org.apache.calcite.sql.validate.SqlMonotonicity monotonicity()